## org.biojava.bio.structure.io
Class PDBFileParser

    java.lang.Object
      org.biojava.bio.structure.io.PDBFileParser

    public class PDBFileParser

extends java.lang.Object

A PDB file parser.

Since:
  1.4

  Q: How can I get a Structure object from a PDB file?

  A:

       String filename =  "path/to/pdbfile.ent" ;

       PDBFileReader pdbreader = new PDBFileReader();

       try{
       Structure struc = pdbreader.getStructure(filename);
       System.out.println(struc);
       } catch (Exception e) {
       e.printStackTrace();
       }

Author:
  Andreas Prlic

Field Summary
`static java.lang.String` `idCode`

Constructor Summary
`PDBFileParser()`

Method Summary
`java.lang.Character` `convert_3code_1code(java.lang.String code3)` convert three character amino acid codes into single character e.g.
`protected java.lang.String` `getTimeStamp()` Returns a time stamp.
`Structure` `parsePDBFile(java.io.BufferedReader buf)` parse a PDB file and return a datastructure implementing PDBStructure interface.
`Structure` `parsePDBFile(java.io.InputStream inStream)` parse a PDB file and return a datastructure implementing PDBStructure interface.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### idCode

    public static java.lang.String idCode

Constructor Detail

### PDBFileParser

    public PDBFileParser()

Method Detail

### getTimeStamp

    protected java.lang.String getTimeStamp()

  Returns a time stamp.

  Returns:
    a String representing the time stamp value

### convert_3code_1code

    public java.lang.Character convert_3code_1code(java.lang.String code3)
                                            throws IllegalSymbolException

  convert three character amino acid codes into single character e.g. convert CYS to C

  Parameters:
    `code3` - a three character amino acid representation String
  Returns:
    a character
  Throws:
    `IllegalSymbolException`

### parsePDBFile

    public Structure parsePDBFile(java.io.InputStream inStream)
                           throws java.io.IOException

  parse a PDB file and return a datastructure implementing PDBStructure interface.

  Parameters:
    `inStream` - an InputStream object
  Returns:
    a Structure object
  Throws:
    `java.io.IOException`

### parsePDBFile

    public Structure parsePDBFile(java.io.BufferedReader buf)
                           throws java.io.IOException

  parse a PDB file and return a datastructure implementing PDBStructure interface.

  Parameters:
    `buf` - a BufferedReader object
  Returns:
    the Structure object
  Throws:
    `java.io.IOException` - ...